//package com.qmth.themis.business.util;
//
//import com.alibaba.fastjson.JSONObject;
//import com.aliyun.oss.common.utils.BinaryUtil;
//import com.google.zxing.BarcodeFormat;
//import com.google.zxing.EncodeHintType;
//import com.google.zxing.MultiFormatWriter;
//import com.google.zxing.WriterException;
//import com.google.zxing.common.BitMatrix;
//import com.qmth.themis.business.constant.SystemConstant;
//
//import javax.imageio.ImageIO;
//import java.awt.image.BufferedImage;
//import java.io.*;
//import java.time.LocalDateTime;
//import java.util.*;
//import java.io.IOException;
//import java.io.OutputStream;
//
//import com.google.zxing.BarcodeFormat;
//import com.google.zxing.EncodeHintType;
//import com.google.zxing.MultiFormatWriter;
//import com.google.zxing.WriterException;
//import com.google.zxing.client.j2se.MatrixToImageWriter;
//import com.google.zxing.common.BitMatrix;
//import com.google.zxing.qrcode.decoder.ErrorCorrectionLevel;
//import com.qmth.themis.business.domain.AliYunOssPublicDomain;
//import com.qmth.themis.business.enums.UploadFileEnum;
//import com.qmth.themis.common.util.HexUtils;
//import org.apache.commons.codec.digest.DigestUtils;
//import org.apache.commons.io.FileUtils;
//
///**
// * @Description: Qrcode
// * @Param:
// * @return:
// * @Author: wangliang
// * @Date: 2022/3/30
// */
//public class QrCodeUtil {
//
//    /**
//     * 生成一个二维码图片
//     *
//     * @param width
//     * @param height
//     * @param content
//     * @return
//     * @throws WriterException
//     * @throws IOException
//     */
//    public static byte[] createQRCode(int width, int height, String content) throws WriterException, IOException {
//        // 二维码基本参数设置
//        Map<EncodeHintType, Object> hints = new HashMap<EncodeHintType, Object>();
//        hints.put(EncodeHintType.CHARACTER_SET, SystemConstant.CHARSET_NAME);// 设置编码字符集utf-8
//        hints.put(EncodeHintType.ERROR_CORRECTION, ErrorCorrectionLevel.M);// 设置纠错等级L/M/Q/H,纠错等级越高越不易识别，当前设置等级为最高等级H
//        hints.put(EncodeHintType.MARGIN, 0);// 可设置范围为0-10，但仅四个变化0 1(2) 3(4 5 6) 7(8 9 10)
//        //生成图片类型为QRCode
//        BarcodeFormat format = BarcodeFormat.QR_CODE;
//        // 创建位矩阵对象
//        BitMatrix bitMatrix = new MultiFormatWriter().encode(content, format, width, height, hints);
//        // 设置位矩阵转图片的参数
//        //MatrixToImageConfig config = new MatrixToImageConfig(Color.black.getRGB(), Color.white.getRGB());
//        //位矩阵对象转流对象
//        ByteArrayOutputStream os = new ByteArrayOutputStream();
//        MatrixToImageWriter.writeToStream(bitMatrix, "png", os);
//        return os.toByteArray();
//    }
//
//    public static void main(String[] args) throws WriterException, IOException {
//        byte[] b = createQRCode(300, 300, "遇见最好的自己！123");
//        InputStream inputStream = new ByteArrayInputStream(b);
//        String md5 = DigestUtils.md5Hex(inputStream);
//        System.out.println("md5:" + md5);
////        String filePath = "upload" + File.separator + sdf.format(new Date()) + File.separator + uuid() + "." + suffix;
////        InputStream in = null;
////        try {
////            ossUtil.upload(true, filePath, inputStream, BinaryUtil.toBase64String(HexUtils.decodeHex(md5)));
////        }
//        OutputStream os = new FileOutputStream("/Users/king/Downloads/1.png");
//        os.write(b);
//        os.close();
//        inputStream.close();
//    }
//}
